06.07.2024 10:07    

tanap
Proje üzerinde kesişen çizgilerin kesiştiği yere otomatik nokta atılmasını istiyorum,yardımcı olursanız sevinirim.
Teşekkürler, iyi çalışmalar.

08.07.2024 06:48    

ehya
Kod:

(defun c:LP (/ ss ss1 obj1 obj2 )
(if (setq ss (ssget (list (cons 0 "LINE"))))
  (progn
    (command ".select" ss "")
   (repeat (setq ss1 (sslength ss))
      (setq obj1 (vlax-ename->vla-object (ssname ss (setq ss1 (1- ss1)))))
      (repeat (setq ss2 ss1)
(setq obj2 (vlax-ename->vla-object (ssname ss (setq ss2 (1- ss2)))))
(if (setq kes (vlax-invoke obj1 'intersectwith obj2 acextendnone))
(entmake (list (cons 0 "POINT")
       (cons 100 "AcDbentity")
       (cons 100 "AcDbPoint")
       (cons 10 kes)
       )))))))
  (princ))

20.07.2024 07:02    

alisezgin
emeğiniz için teşekkürler , lispi nokta değilde VERTEX atama yapabilen , bu lispi LİNE için değilde PLİNE için olan şekliyle olanı var mıdır ?

22.07.2024 06:54    

ehya
Maalesef yok.

22.07.2024 14:08    

alumina
Alıntı
alisezgin :

Secilen polyline nesnelere secilen diger nesnelerle kesistigi noktalardan yeni vertexler ekler..

> 1 <
Copyright © 2004-2022 SQL: 1.319 saniye - Sorgu: 62 - Ortalama: 0.02127 saniye